Lua_AuctionWinnerWindow = class("Lua_AuctionWinnerWindow", Lua_Window);
function Lua_AuctionWinnerWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_AuctionWinnerWindow";
	self.skinName = "AuctionWinnerWindow_skin";
end

function Lua_AuctionWinnerWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content,1, Vector4(0, 0, 768, 374));
    self.dragList:setLocation(0, -51, 0);
    self.dragList:setListCell(Lua_AuctionWinnerItem, 70, 768, 1);

    self.tips.text = LanUtil.getValue(143208);

    self:updatePanelInfo();
end

function Lua_AuctionWinnerWindow:dispose()
	self:superCall("dispose");
end

function Lua_AuctionWinnerWindow:updatePanelInfo()
	local arr = DataCenter.peakAuctionData.getAuctionWinnerData;
    self.dragList:setLuaArrayData(arr, false);
end



















---------------------------------------------------------------------
Lua_AuctionWinnerItem = class("Lua_AuctionWinnerItem", Lua_ListCell);
function Lua_AuctionWinnerItem:ctor(p)
    self:superCall("ctor", p, "AuctionWinnerItem_skin");
end

function Lua_AuctionWinnerItem:buildShowItem()
	self:superCall("buildShowItem");

	self.reward:addClickFuntion(self, self.onRewardClick);
	self.winner:addClickFuntion(self, self.onWinnerClick);
	self.reward.clickScale = false;
	self.winner.clickScale = false;
end

function Lua_AuctionWinnerItem:dispose()
	self:superCall("dispose");
end

function Lua_AuctionWinnerItem:setData(data)
	self.data = data;
	self.periods.text = LanUtil.formateStr(LanUtil.getValue(143218), tostring(data.bidding_periods));
	if data.vo ~= nil then
		self.reward.text = "[u]".."[url=showItem_"..data.item_id.."]"..data.vo.colorName.."[/url]".."[/u]";
	else
		self.reward.text = "";
	end

	if tonumber(data.role_id) == 0 then
		self.money:setEnable(false);
		self.price.text = LanUtil.getValue(20);
		self.price:setLocation(-62, 12, 0);
		self.winner.text = LanUtil.getValue(143211);
	else
		self.money:setEnable(true);
		local money_type = DataCenter.peakAuctionData.money_type;
		self.money:setAltas("icon_atlas_3", "money_"..money_type);
		self.price.text = data.transaction_price;
		self.price:setLocation(-60, 12, 0);
		self.winner.text = "[u]".."[url=playerClick_"..data.role_id.."]"..data.role_name.."[/url]".."[/u]";
	end

	self.time.text = TimeTransform.getInstance():transSeconds8(tonumber((data.end_time)), "yyyy-MM-dd HH:mm");
end

function Lua_AuctionWinnerItem:onRewardClick()
    local urlStr = self.reward:getUrlByMousePos();
    if urlStr ~= nil then
        local str = string.split(urlStr, "_");
        if str[1] == "showItem" then
            local vo = Lua_ToolVo.createToolVo(tonumber(str[2]));
            Lua_PackUtil.showItemInfo(vo);
        end
    end
end

function Lua_AuctionWinnerItem:onWinnerClick()
    local urlStr = self.winner:getUrlByMousePos();
    if urlStr ~= nil then
        local str = string.split(urlStr, "_");
		if str[1] == "playerClick" then
			if Lua_CommonUtil.trnsLongNum(tonumber(str[2])) == Lua_CommonUtil.trnsLongNum(DataCenter.roleData.roleId) then
		        OperateAlert.show(LanUtil.getValue(120226));
		        return;
		    end
            Lua_ProxyManager.getProxy("Lua_OperationalActivitiesProxy"):sGetRoleInfo(tonumber(str[2]), self.data.server_flag, Lua_OperationalActivitiesData.ACT_PEAK_AUCTION);
        end
    end
end